summaryrefslogtreecommitdiffstats
path: root/network/protonmail-import-export-app
diff options
context:
space:
mode:
author Mario Antunes <mariolpantunes@gmail.com>2020-11-14 11:20:42 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2020-11-14 11:20:42 +0700
commit93838e6ec0573eafd8f2a6f88712662cf24f5a97 (patch)
treed8295843d8bd6282c9cc6ffc7a2412764bb24bab /network/protonmail-import-export-app
parent32306ae51f8e95b37d5aea82cbf6b0ea04dc490b (diff)
downloadslackbuilds-93838e6ec0573eafd8f2a6f88712662cf24f5a97.tar.gz
slackbuilds-93838e6ec0573eafd8f2a6f88712662cf24f5a97.tar.xz
network/protonmail-import-export-app: Added (ProtonMail App).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'network/protonmail-import-export-app')
-rw-r--r--network/protonmail-import-export-app/README11
-rw-r--r--network/protonmail-import-export-app/doinst.sh3
-rw-r--r--network/protonmail-import-export-app/protonmail-import-export-app.SlackBuild76
-rw-r--r--network/protonmail-import-export-app/protonmail-import-export-app.info10
-rw-r--r--network/protonmail-import-export-app/slack-desc19
5 files changed, 119 insertions, 0 deletions
diff --git a/network/protonmail-import-export-app/README b/network/protonmail-import-export-app/README
new file mode 100644
index 0000000000..cbb9a85e09
--- /dev/null
+++ b/network/protonmail-import-export-app/README
@@ -0,0 +1,11 @@
+The ProtonMail Import-Export app is an application for paid users that
+imports emails to your ProtonMail inbox or makes offline backups.
+
+You can import messages from Gmail, Outlook, Yahoo, or any other email
+provider that supports the IMAP protocol. Importing from local EML and
+MBOX files is also supported. You can use the Import-Export app to
+download important messages as MBOX or EML files so that you always have
+a backup on your device.
+
+This script repackages the Debian binary provided by Proton
+Technologies.
diff --git a/network/protonmail-import-export-app/doinst.sh b/network/protonmail-import-export-app/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/network/protonmail-import-export-app/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/network/protonmail-import-export-app/protonmail-import-export-app.SlackBuild b/network/protonmail-import-export-app/protonmail-import-export-app.SlackBuild
new file mode 100644
index 0000000000..43fe84498a
--- /dev/null
+++ b/network/protonmail-import-export-app/protonmail-import-export-app.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+
+# Slackware build script for protonmail-import-export-app
+
+# Copyright 2020 Erich Ritz
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=protonmail-import-export-app
+VERSION=${VERSION:-1.1.2}
+DEBVERSION=${DEBVERSION:--1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# Upstream only has binary support for x86_64 at present.
+if [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+else
+ echo "Sorry, the ProtonMail Import-Export app binary is currently available for x86_64 only."
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}${DEBVERSION}_$DEBARCH.deb data.tar.xz | tar xJv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mv $PKG/usr/lib $PKG/usr/lib64
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp $PKG/usr/lib64/protonmail/import-export/{Changelog.md,LICENSE} $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/protonmail-import-export-app/protonmail-import-export-app.info b/network/protonmail-import-export-app/protonmail-import-export-app.info
new file mode 100644
index 0000000000..a3ad07f86b
--- /dev/null
+++ b/network/protonmail-import-export-app/protonmail-import-export-app.info
@@ -0,0 +1,10 @@
+PRGNAM="protonmail-import-export-app"
+VERSION="1.1.2"
+HOMEPAGE="https://protonmail.com/import-export"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://protonmail.com/download/ie/protonmail-import-export-app_1.1.2-1_amd64.deb"
+MD5SUM_x86_64="8aec8c63514a36d35f1f72be353d3adb"
+REQUIRES=""
+MAINTAINER="Erich Ritz"
+EMAIL="erich.public@protonmail.com"
diff --git a/network/protonmail-import-export-app/slack-desc b/network/protonmail-import-export-app/slack-desc
new file mode 100644
index 0000000000..7c54b8366e
--- /dev/null
+++ b/network/protonmail-import-export-app/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+protonmail-import-export-app: protonmail-import-export-app (ProtonMail Import-Export app)
+protonmail-import-export-app:
+protonmail-import-export-app: The Import-Export app helps you to migrate your emails from local
+protonmail-import-export-app: files or remote IMAP servers to ProtonMail or simply export emails to
+protonmail-import-export-app: local folder.
+protonmail-import-export-app:
+protonmail-import-export-app: Proton Technologies AG (ProtonMail Bridge developers)
+protonmail-import-export-app: <bridge@protonmail.ch>
+protonmail-import-export-app:
+protonmail-import-export-app:
+protonmail-import-export-app: